> For the complete documentation index, see [llms.txt](https://developer.ivvy.com/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://developer.ivvy.com/account/get-user-list.md).

# Get Account User List

## Get User List

<mark style="color:green;">`POST`</mark> `[PlatformAddress]/api/1.0/account?action=getUserList`

Get User List will respond with a list of users based on the filter parameters

#### Path Parameters

| Name    | Type    | Description                                                                                                         |
| ------- | ------- | ------------------------------------------------------------------------------------------------------------------- |
| perPage | integer | The number of events to get in a single api call                                                                    |
| start   | integer | The starting result of the page. Note this is zero based (i.e. sending start = 0 will start from the first result.) |

{% tabs %}
{% tab title="200 " %}

```
```

{% endtab %}
{% endtabs %}

## Additional [Filter](/getting-started/interpreting-the-response/filtering.md) Properties

| Property | Description              | Type    |
| -------- | ------------------------ | ------- |
| venueId  | Filter by specific Venue | integer |

## Returns

| Property      | Description                                                                |
| ------------- | -------------------------------------------------------------------------- |
| id            | The unique identifier for the user                                         |
| salutation    | The salutation of the user.                                                |
| firstName     | The first name of the user.                                                |
| middleName    | The middle name of the user.                                               |
| lastName      | The last name of the user.                                                 |
| email         | The user’s email address                                                   |
| phone         | The user’s mobile number                                                   |
| phoneMobile   | The user’s phone number                                                    |
| currentStatus | The current status of the user. See [Current Status](#user-current-status) |
| userType      | The type of the user. See [User Types](#user-types).                       |
| groupId       | The id of the group to which the user belongs                              |
| lastLoginDate | The date & time the user was last logged in.                               |
| createdDate   | The date & time the resource was created                                   |
| modifiedDate  | 'The date & time the resource was last modified                            |

## User Current Status

| # | Description |
| - | ----------- |
| 1 | Active      |
| 2 | Inactive    |

## User Types

| # | Description          |
| - | -------------------- |
| 1 | Normal               |
| 2 | Abstract Reviewer    |
| 3 | Event Client         |
| 4 | API Third Party User |
| 5 | Meeting Booker       |

The result from this call will be a [collection](/getting-started/interpreting-the-response/collections.md) of all the users. This call also accepts the [pagination](/getting-started/interpreting-the-response/pagination.md) and [filter](/getting-started/interpreting-the-response/filtering.md) properties.


---

# Agent Instructions
This documentation is published with GitBook. GitBook is the documentation platform designed so that both humans and AI agents can read, navigate, and reason over technical content effectively. Learn more at gitbook.com.

## Querying This Documentation
If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter, and the optional `goal` query parameter:

```
GET https://developer.ivvy.com/account/get-user-list.md?ask=<question>&goal=<endgoal>
```

`ask` is the immediate question: it should be specific, self-contained, and written in natural language.
`goal` is optional and describes the broader end goal you are ultimately trying to accomplish on behalf of the user. GitBook uses it to tailor the answer towards what is most useful for that goal.

The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
